
require 'virtualmin-support-lib.pl';

sub module_install
{
# Add to Virtualmin's plugin list
if (&foreign_check("virtual-server")) {
	local %vconfig = &foreign_config("virtual-server");
	local @plugins = split(/\s+/, $vconfig{'plugins'});
	if (&indexof($module_name, @plugins) < 0) {
		push(@plugins, $module_name);
		$vconfig{'plugins'} = join(" ", @plugins);
		$vconfig{'last_check'} = time()+1;
		&save_module_config(\%vconfig, "virtual-server");
		}
	}
}

