
require 'virtualmin-support-lib.pl';

# Returns a short name for this feature
sub feature_name
{
return $text{'feat_name'};
}

# settings_links()
# If defined, should return a list of additional System Settings section links
# related to this plugin, typically for configuring global settings. Each
# element must be a hash ref containing link, title, icon and cat keys.
sub settings_links
{
if (&foreign_available($module_name)) {
	return ( { 'link' => "/$module_name/login.cgi",
		   'title' => $text{'feat_login'},
		   'cat' => 'setting',
		   'icon' => "/$module_name/images/login.gif" },
		 { 'link' => "/$module_name/ticket.cgi",
		   'title' => $text{'feat_ticket'},
		   'cat' => 'setting',
		   'icon' => "/$module_name/images/ticket.gif" },
		);
	}
return ( );
}
